Hi I currently have UYS4 installed but I am trying to upgrade to UFS4-2 or UFY2-2 but both are EXE files and each time I try to install I get device is not detected or wrong drive error. Is there a bin file for this or am I doing something wrong.

Any help would be appreciated.
Thanks


--------
Dell XPS M1710